%define upstream_name    Carp-Parse
%define upstream_version 1.0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Represent the parsed caller information for a line of the Carp stack trace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Carp produces a stacktrace that includes caller arguments; this module
parses each line of the stack trace to extract its arguments, which allows
rewriting the stack trace (for example, to redact sensitive information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.7-10.mga10
+ Revision: 2197730
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.7-9.mga9
+ Revision: 1802149
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.7-8.mga8
+ Revision: 1492991
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.7-7.mga7
+ Revision: 1265938
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.7-6.mga6
+ Revision: 1022840
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.7-5.mga6
+ Revision: 944761
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 747448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-3.mga5
+ Revision: 683747
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 527599
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.0.7-1.mga4
+ Revision: 441485
- update to 1.0.7

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 363818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.0.6-1.mga3
+ Revision: 315749
- update to 1.0.6

* Mon Oct 15 2012 jquelin <jquelin> 1.0.4-1.mga3
+ Revision: 306052
- update to 1.0.4

* Wed Oct 10 2012 jquelin <jquelin> 1.0.3.1-1.mga3
+ Revision: 304396
- imported package perl-Carp-Parse


* Wed Oct 10 2012 cpan2dist 1.0.3.1-1mga
- initial mageia release, generated with cpan2dist
